import arcgisscripting, os, arcpy, string, math, time
from arcpy import env
from math import *

env.overwriteOutput="True"
#check if ArcInfo licence vailable

if arcpy.ProductInfo() == "ArcInfo":
   
    out_dir=arcpy.GetParameterAsText(0)
    option=arcpy.GetParameterAsText(1)
    
    report_file=out_dir+"\\"+"step3_working_report.txt"
    if option=="Yes":
        s=open(report_file,'w')
        s.write("All working files and geodatabases are deleted"+"\n")
        s.write("--------------------------------------------------"+"\n")
        
        arcpy.Delete_management (out_dir+"\\metrics.gdb")
        
        arcpy.Delete_management (out_dir+"\\sprawl.gdb")
        arcpy.Delete_management (out_dir+"\\freq_tbl.dbf")
        arcpy.Delete_management (out_dir+"\\urban_ascii_CellResults.asc")
        arcpy.Delete_management (out_dir+"\\urban_ascii_TotalResults.asc")
        arcpy.Delete_management (out_dir+"\\work_SI.gdb")                         
        arcpy.AddMessage("All working files and geodatabases are deleted ")
        arcpy.AddMessage("                                                 ")
        s.write("---------------------------------------"+"\n")
        
        s.close()
    elif option=="No":
        s=open(report_file,'w')
        s.write("All working files and geodatabases except work_SI geodatabase are deleted"+"\n")
        s.write("--------------------------------------------------"+"\n")
        
        arcpy.Delete_management (out_dir+"\\metrics.gdb")
        arcpy.Delete_management (out_dir+"\\sprawl.gdb")
        arcpy.Delete_management (out_dir+"\\freq_tbl.dbf")
        arcpy.Delete_management (out_dir+"\\urban_ascii_CellResults.asc")
        arcpy.Delete_management (out_dir+"\\urban_ascii_TotalResults.asc")                      
        arcpy.AddMessage("All working files and geodatabases except work_SI geodatabase are deleted ")
        arcpy.AddMessage("                                                 ")
        s.write("---------------------------------------"+"\n")
        
        s.close()
    else:
        arcpy.AddMessage("Bad option - select Yes or No")                           
else:
    prd=arcpy.ProductInfo()
    arcpy.AddError("Need an ArcInfo licence to run this tool")
    arcpy.AddMessage("Only "+str(prd)+" licence is available")
    s.write("Need an ArcInfo licence to run this tool"+"\n")
    s.write("Only "+str(prd)+" licence is available"+"\n")
    s.close()
